Skip to content

Media Upload

Upload media into the platform. Supports uploading one or more media files, uploading media from a remote URL, and uploading a file for databus pipelines.

Upload file for databus pipeline(s)

Request

Security
bearerAuth and apiKeyAuth
curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/media/pipeline/upload \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
dataobject
errorsArray of objects(Error)
metadataobject(ResponseMetadata)
Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }